javax.jdo.metadata

## Interface JDOMetadata

- All Superinterfaces:
    Metadata

      public interface JDOMetadata
      extends Metadata

  Represents the top-level JDO metadata.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCatalog()` Accessor for the catalog (ORM) that all classes in this JDO Metadata default to.
    `FetchPlanMetadata[]` | `getFetchPlans()` Accessor for any fetch plans defined on the JDO Metadata.
    `int` | `getNumberOfFetchPlans()` Accessor for the number of fetch plans defined in this JDO Metadata.
    `int` | `getNumberOfPackages()` Accessor for the number of packages defined in this JDO Metadata.
    `int` | `getNumberOfQueries()` Accessor for the number of named queries defined in this JDO Metadata.
    `PackageMetadata[]` | `getPackages()` Accessor for all packages defined on the JDO Metadata.
    `QueryMetadata[]` | `getQueries()` Accessor for any named queries defined on the JDO Metadata.
    `String` | `getSchema()` Accessor for the schema (ORM) that all classes in this JDO Metadata default to.
    `ClassMetadata` | `newClassMetadata(Class cls)` Add a new class to this JDO Metadata.
    `FetchPlanMetadata` | `newFetchPlanMetadata(String name)` Add a new fetch plan to this JDO Metadata.
    `InterfaceMetadata` | `newInterfaceMetadata(Class cls)` Add a new interface to this JDO Metadata.
    `PackageMetadata` | `newPackageMetadata(Package pkg)` Add a new package to this JDO Metadata.
    `PackageMetadata` | `newPackageMetadata(String pkgName)` Add a new package to this JDO Metadata.
    `QueryMetadata` | `newQueryMetadata(String name)` Add a new named query to this JDO Metadata.
    `JDOMetadata` | `setCatalog(String catalog)` Method to set the catalog (ORM) to apply to all classes in this JDO Metadata.
    `JDOMetadata` | `setSchema(String schema)` Method to set the schema (ORM) to apply to all classes in this JDO Metadata.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setCatalog

          JDOMetadata setCatalog(String catalog)

      Method to set the catalog (ORM) to apply to all classes in this JDO Metadata.
      Parameters:
        `catalog` - Catalog name
      Returns:
        This metadata object

    - #### getCatalog

          String getCatalog()

      Accessor for the catalog (ORM) that all classes in this JDO Metadata default to.
      Returns:
        The catalog

    - #### setSchema

          JDOMetadata setSchema(String schema)

      Method to set the schema (ORM) to apply to all classes in this JDO Metadata.
      Parameters:
        `schema` - Schema name
      Returns:
        This metadata object

    - #### getSchema

          String getSchema()

      Accessor for the schema (ORM) that all classes in this JDO Metadata default to.
      Returns:
        The schema

    - #### getPackages

          PackageMetadata[] getPackages()

      Accessor for all packages defined on the JDO Metadata.
      Returns:
        The packages

    - #### newPackageMetadata

          PackageMetadata newPackageMetadata(String pkgName)

      Add a new package to this JDO Metadata.
      Parameters:
        `pkgName` - Name of the package
      Returns:
        The PackageMetadata

    - #### newPackageMetadata

          PackageMetadata newPackageMetadata(Package pkg)

      Add a new package to this JDO Metadata.
      Parameters:
        `pkg` - The package
      Returns:
        The PackageMetadata

    - #### getNumberOfPackages

          int getNumberOfPackages()

      Accessor for the number of packages defined in this JDO Metadata.
      Returns:
        The number of packages.

    - #### newClassMetadata

          ClassMetadata newClassMetadata(Class cls)

      Add a new class to this JDO Metadata. Adds its package also if not yet existing.
      Parameters:
        `cls` - Class to add
      Returns:
        The ClassMetadata

    - #### newInterfaceMetadata

          InterfaceMetadata newInterfaceMetadata(Class cls)

      Add a new interface to this JDO Metadata. Adds its package also if not yet existing.
      Parameters:
        `cls` - Class to add
      Returns:
        The InterfaceMetadata

    - #### getQueries

          QueryMetadata[] getQueries()

      Accessor for any named queries defined on the JDO Metadata.
      Returns:
        The queries

    - #### newQueryMetadata

          QueryMetadata newQueryMetadata(String name)

      Add a new named query to this JDO Metadata.
      Parameters:
        `name` - Name of the query
      Returns:
        The QueryMetadata

    - #### getNumberOfQueries

          int getNumberOfQueries()

      Accessor for the number of named queries defined in this JDO Metadata.
      Returns:
        The number of queries.

    - #### getFetchPlans

          FetchPlanMetadata[] getFetchPlans()

      Accessor for any fetch plans defined on the JDO Metadata.
      Returns:
        The fetch plans

    - #### newFetchPlanMetadata

          FetchPlanMetadata newFetchPlanMetadata(String name)

      Add a new fetch plan to this JDO Metadata.
      Parameters:
        `name` - Name of the query
      Returns:
        The FetchPlanMetadata

    - #### getNumberOfFetchPlans

          int getNumberOfFetchPlans()

      Accessor for the number of fetch plans defined in this JDO Metadata.
      Returns:
        The number of fetch plans.

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.